import { InjectionToken } from '@angular/core';
export declare const BB_LOCALIZE_EXTRA_DICTIONARY: InjectionToken<BbLocalizeExtraDictionary[]>;
export declare const BB_LOCALIZE_FUNCTION: InjectionToken<BbLocalizeFunction[]>;
export declare class BbLocalizeConfig {
    dictionary: BbLocalizeDictionary[];
}
export interface BbLocalizeDictionary {
    id: string;
    languages: string[];
    data: string | object;
    name: string;
    locale: string;
}
export declare type BbLocalizeExtraDictionary = {
    locale: string;
    data: object;
};
export interface BbLocalizeInterpolationData {
    [token: string]: string | number | boolean | Date;
}
export interface BbLocalizeOptions {
    optional?: boolean;
    data?: BbLocalizeInterpolationData;
}
export interface BbLocalizeParams extends BbLocalizeOptions {
    token: string;
}
export interface BbLocalizeFunction {
    keyword: string;
    fn: (value: string) => string;
}
export interface BbLocalizeMiddleware {
    [keyword: string]: (value: string) => string;
}
