import { BbLocalizeConfig } from './localize.interfaces';
import { BbLocalizeInterpolator } from './localize.interpolator';
import { BbLocalizeLanguage } from './localize.languages';
import { BbLocalize } from './localize.service';
export declare class BbLocalizeModule {
    static forRoot(config: BbLocalizeConfig): {
        ngModule: typeof BbLocalizeModule;
        providers: (typeof BbLocalizeInterpolator | typeof BbLocalizeLanguage | typeof BbLocalize | {
            provide: typeof BbLocalizeConfig;
            useValue: BbLocalizeConfig;
            deps?: undefined;
            useFactory?: undefined;
            multi?: undefined;
        } | {
            provide: import("@angular/core").InjectionToken<(() => void)[]>;
            deps: (typeof BbLocalize)[];
            useFactory: typeof initializeLocale;
            multi: boolean;
            useValue?: undefined;
        } | {
            provide: import("@angular/core").InjectionToken<string>;
            deps: (typeof BbLocalize)[];
            useFactory: typeof getLocale;
            useValue?: undefined;
            multi?: undefined;
        } | {
            provide: import("@angular/core").InjectionToken<import("./localize.interfaces").BbLocalizeFunction[]>;
            useFactory: typeof lowercaseFunction;
            multi: boolean;
            useValue?: undefined;
            deps?: undefined;
        })[];
    };
}
export declare function initializeLocale(localize: BbLocalize): () => Promise<void>;
export declare function getLocale(localize: BbLocalize): string;
export declare function lowercaseFunction(): {
    keyword: string;
    fn: (value: any) => any;
};
export declare function uppercaseFunction(): {
    keyword: string;
    fn: (value: any) => any;
};
