import { BbLocalizeConfig, BbLocalizeDictionary, BbLocalizeExtraDictionary, BbLocalizeParams } from './localize.interfaces';
import { BbLocalizeInterpolator } from './localize.interpolator';
import { BbStorage } from '../core/services/storage.service';
import { BbLocalizeLanguage } from './localize.languages';
import { HttpClient } from '@angular/common/http';
export declare class BbLocalize {
    private _http;
    private _storage;
    private _language;
    private _interpolator;
    private _config;
    private _extras;
    private readonly _fullDictionary;
    private readonly _currentDictionary;
    private readonly _storageToken;
    constructor(_http: HttpClient, _storage: BbStorage, _language: BbLocalizeLanguage, _interpolator: BbLocalizeInterpolator, _config: BbLocalizeConfig, _extras: BbLocalizeExtraDictionary[]);
    getDictionary(): BbLocalizeDictionary[];
    getId(): string;
    getLocale(): string;
    initialize(): () => Promise<void>;
    setLanguage(id: string): void;
    unsetLanguage(): void;
    translate(tokenOrParams: string | BbLocalizeParams): any;
    private searchForTranslation;
    private getDictionaryFromStorage;
    private getBestBrowserMatchDictionary;
    private convertToParams;
    private log;
    private reload;
}
